Bug 1023119 - Drill-down on aggregated intervals fails
Drill-down on aggregated intervals fails
Status: CLOSED CURRENTRELEASE
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: BAM (Show other bugs)
6.0.0
x86_64 Linux
unspecified Severity high
: ER5
: 6.0.0
Assigned To: David Gutierrez
Jan Hrcek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-24 12:31 EDT by David Gutierrez
Modified: 2014-08-06 16:07 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:07:30 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Gutierrez 2013-10-24 12:31:29 EDT
Description of problem:

Drill-down on aggregated intervals is not working when the dashboard is being filtered.

Version-Release number of selected component (if applicable):


How reproducible:

Always.

Steps to Reproduce:
1. Go to Showcase>Sample dashboards>Sales opportunities
2. First of all, select (by clicking over) one of the status in the "Opportunities by status" chart. 
3. Try to drill-down by selecting the aggregated intervals "Others" in the "Opportunities by country" chart.
4. The page remains the same. No drill-down is performed and a IndexoutOfBoundsException error is displayed in the application log. 

Actual results:

Page remains the same and an exception is raised. 

Expected results:

After selecting the interval "Others" user should be redirected to the "By country" dashboard.

Additional info:
Comment 2 David Gutierrez 2013-10-25 10:22:34 EDT
Fixed. When drill-down is performed over an aggregated label interval (usually named "Others") the aggregated label names are taken as the drill-down input.

Github commit (master): https://github.com/droolsjbpm/dashboard-builder/commit/8de158bc7cd767559d8fbce8fac8eee6cba14c75

Github commit (6.0.x): https://github.com/droolsjbpm/dashboard-builder/commit/53f4b2789910ab651ea256908dfe0acc394ccdba
Comment 3 Marek Baluch 2013-12-09 11:48:05 EST
Verified on ER5.

Note You need to log in before you can comment on or make changes to this bug.